# 32/64bit spec-file
#
Summary: Gujarati TTF font(s)
Name: fonts-ttf-gujarati
Version: 1.0
Release: %mkrel 4
License: Free use and distribution
Group: System/Fonts/True type
Source0: aakar-medium.ttf.bz2
Source1: lohit_gu.ttf.bz2
Source2: padmaa-Bold-0.5.ttf.bz2
Source3: padmaa-Medium-0.5.ttf.bz2
Source4: Rekha.ttf.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires:	freetype-tools
Requires(post): fontconfig
Requires(postun): fontconfig

%description
This package contains fonts for the gujarati script.

%prep
#%setup -c 

rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

%build
cd %{name}-%{version}
bzcat %{SOURCE0} > aakar-medium.ttf
bzcat %{SOURCE1} > lohit_gu.ttf
bzcat %{SOURCE2} > padmaa-Bold-0.5.ttf
bzcat %{SOURCE3} > padmaa-Medium-0.5.ttf
bzcat %{SOURCE4} > Rekha.ttf



%install
cd %{name}-%{version}
rm -rf %buildroot
install -d %buildroot/%_datadir/fonts/TTF/gujarati

for i in `find . -name "*.ttf"` ; do
install -m 644 $i %buildroot/%_datadir/fonts/TTF/gujarati
done

%post
touch %{_datadir}/fonts/TTF
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
#%doc %{name}-%{version}/README*
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/gujarati
%_datadir/fonts/TTF/gujarati/*.ttf

%changelog
* Tue Apr 09 2019 tex - 1.0-4pclos2019
- rebuild against updates

* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 1.0-3pclos2013
- rebuild on 64

* Mon Mar 08 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild

* Wed Sep 05 2007 Patred TheKnight <edupclos@gmail.com> 1.0-1pclos
- initial gujarati rpm for PCLinuxOS


